Get video storage size info
curl --request GET \
--url https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/storage \
--header 'AccessKey: <api-key>'import requests
url = "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/storage"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/storage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"statusCode": 123,
"data": {
"encoded": {},
"thumbnails": 123,
"previews": 123,
"originals": 123,
"mp4Fallback": 123,
"miscellaneous": 123,
"calculatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": true,
"message": "<string>",
"statusCode": 123
}Manage Videos
Get video storage size info
GET
/
library
/
{libraryId}
/
videos
/
{videoId}
/
storage
Get video storage size info
Authorizations
AccessKey based authentication
Path Parameters
The ID of the video library.
The GUID of the video.
Response
The storage size information for the video.
Determines if the request was successful
Human-readable message describing the result, typically populated with error details when Success is false.
The HTTP status code corresponding to the result of the request.
The response payload. Some endpoints also populate this with error details when Success is false — see the endpoint's own response documentation.
Show child attributes
Show child attributes
Last modified on September 10, 2026
Was this page helpful?